# The Yaf_Route_Supervar class

(Yaf >=1.0.0)

## Introduction

## Class synopsis

Yaf_Route_Supervar implements Yaf_Route_Interface {
/* Properties */
protected $_var_name ;
/* Methods */
public assemble ( array `$info` [, array `$query` ] ) : string
public __construct ( string `$supervar_name` )
public route ( Yaf_Request_Abstract `$request` ) : bool
}

## Properties

_var_name

## Table of Contents

- Yaf_Route_Supervar::assemble — Assemble a url
- Yaf_Route_Supervar::__construct — The __construct purpose
- Yaf_Route_Supervar::route — The route purpose